| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::gapi::wip::gst::GStreamerSource Class Reference

`#include <opencv2/gapi/streaming/gstreamer/gstreamersource.hpp>`

Collaboration diagram for cv::gapi::wip::gst::GStreamerSource:

## Public Types
enum class | OutputType { FRAME , MAT }
Public Types inherited from cv::gapi::wip::IStreamSource
using | Ptr = std::shared_ptr<IStreamSource>

## Public Member Functions
| GStreamerSource (const std::string &pipeline, const GStreamerSource::OutputType outputType=GStreamerSource::OutputType::MAT)
| GStreamerSource (std::shared_ptr< GStreamerPipelineFacade > pipeline, const std::string &appsinkName, const GStreamerSource::OutputType outputType=GStreamerSource::OutputType::MAT)
| ~GStreamerSource () override
GMetaArg | descr_of () const override
bool | pull (cv::gapi::wip::Data &data) override
Public Member Functions inherited from cv::gapi::wip::IStreamSource
virtual | ~IStreamSource ()=default
virtual void | halt ()
Ptr | ptr ()

## Protected Member Functions
| GStreamerSource (std::unique_ptr< Priv > priv)

## Protected Attributes
std::unique_ptr< Priv > | m_priv

## Member Enumeration Documentation

## ◆ OutputType

enum class cv::gapi::wip::gst::GStreamerSource::OutputType
| strong

Enumerator
FRAME |
MAT |

## Constructor & Destructor Documentation

## ◆ GStreamerSource() [1/3]

cv::gapi::wip::gst::GStreamerSource::GStreamerSource | ( | const std::string & | pipeline,
|  | const GStreamerSource::OutputType | outputType = GStreamerSource::OutputType::MAT )

## ◆ GStreamerSource() [2/3]

cv::gapi::wip::gst::GStreamerSource::GStreamerSource | ( | std::shared_ptr< GStreamerPipelineFacade > | pipeline,
|  | const std::string & | appsinkName,
|  | const GStreamerSource::OutputType | outputType = GStreamerSource::OutputType::MAT )

## ◆ ~GStreamerSource()

cv::gapi::wip::gst::GStreamerSource::~GStreamerSource | ( |  | ) |
| override

## ◆ GStreamerSource() [3/3]

cv::gapi::wip::gst::GStreamerSource::GStreamerSource | ( | std::unique_ptr< Priv > | priv | ) |
| explicit protected

## Member Function Documentation

## ◆ descr_of()

GMetaArg cv::gapi::wip::gst::GStreamerSource::descr_of | ( |  | ) | const
| override virtual

Implements cv::gapi::wip::IStreamSource.

## ◆ pull()

bool cv::gapi::wip::gst::GStreamerSource::pull | ( | cv::gapi::wip::Data & | data | ) |
| override virtual

Implements cv::gapi::wip::IStreamSource.

## Member Data Documentation

## ◆ m_priv

std::unique_ptr<Priv> cv::gapi::wip::gst::GStreamerSource::m_priv
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/streaming/gstreamer/gstreamersource.hpp